Package ru.bitel.bgbilling.modules.card.server.bean

# Class Card

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.Card

public class Card extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CARD_ACTIVATE_BALANCE`
  `static final int`
  `CARD_ACTIVATE_CONTRACT`
  `static final int`
  `CARD_ACTIVE`
  `static final int`
  `CARD_LOCK`
  `static final int`
  `TYPE_CURRENT_DB`
  `static final int`
  `TYPE_SUPER_DB`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Card()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkPeriod(Date value)`
  `boolean`
  `checkPinCode(String value)`
  `long`
  `getCardCode()`
  `String`
  `getCardPinCode()`
  `int`
  `getContractId()`
  `int`
  `getContractID()`
  Deprecated.
  `String`
  `getContractName(Calendar time)`
  `Date`
  `getDateActivate()`
  `Date`
  `getDateBegin()`
  `Date`
  `getDateEnd()`
  `Calendar`
  `getDealerDate()`
  `int`
  `getDealerId()`
  `long`
  `getId()`
  `long`
  `getID()`
  Deprecated.
  `int`
  `getMid()`
  `int`
  `getPatternId()`
  `int`
  `getPaymentType()`
  `int`
  `getSeriesId()`
  `int`
  `getServiceActivateId()`
  `int`
  `getServiceActivateID()`
  Deprecated.
  `int`
  `getServicePayId()`
  `int`
  `getServicePayID()`
  Deprecated.
  `int`
  `getStatus()`
  `float`
  `getSumma()`
  `int`
  `getType()`
  `void`
  `setCardCode(long value)`
  `void`
  `setCardPinCode(String value)`
  `void`
  `setContractId(int value)`
  `void`
  `setContractID(int value)`
  Deprecated.
  `void`
  `setDateActivate(Date value)`
  `void`
  `setDateBegin(Date value)`
  `void`
  `setDateEnd(Date value)`
  `void`
  `setDealerDate(Calendar dealerDate)`
  `void`
  `setDealerId(int dealerId)`
  `void`
  `setId(long value)`
  `void`
  `setID(long value)`
  Deprecated.
  `void`
  `setMid(int mid)`
  `void`
  `setPatternId(int value)`
  `void`
  `setPaymentType(int value)`
  `void`
  `setSeriesId(int seriesId)`
  `void`
  `setServiceActivateId(int serviceActivateId)`
  `void`
  `setServiceActivateID(int serviceActivateId)`
  Deprecated.
  `void`
  `setServicePayId(int servicePayId)`
  `void`
  `setServicePayID(int servicePayId)`
  Deprecated.
  `void`
  `setStatus(int value)`
  `void`
  `setSumma(float value)`
  `void`
  `setType(int type)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CARD_LOCK

    public static final int CARD_LOCK
    See Also:
      - Constant Field Values

  - ### CARD_ACTIVE

    public static final int CARD_ACTIVE
    See Also:
      - Constant Field Values

  - ### CARD_ACTIVATE_CONTRACT

    public static final int CARD_ACTIVATE_CONTRACT
    See Also:
      - Constant Field Values

  - ### CARD_ACTIVATE_BALANCE

    public static final int CARD_ACTIVATE_BALANCE
    See Also:
      - Constant Field Values

  - ### TYPE_CURRENT_DB

    public static final int TYPE_CURRENT_DB
    See Also:
      - Constant Field Values

  - ### TYPE_SUPER_DB

    public static final int TYPE_SUPER_DB
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Card

    public Card()

- ## Method Details

  - ### getCardPinCode

    public String getCardPinCode()

  - ### checkPinCode

    public boolean checkPinCode(String value)

  - ### setId

    public void setId(long value)

  - ### setID

    @Deprecated public void setID(long value)
    Deprecated.
    Использовать `setId(long)`.
    Parameters:
      `value` -

  - ### getId

    public long getId()

  - ### getID

    @Deprecated public long getID()
    Deprecated.
    Использовать `getId()`.
    Returns:

  - ### setCardCode

    public void setCardCode(long value)

  - ### getCardCode

    public long getCardCode()

  - ### setCardPinCode

    public void setCardPinCode(String value)

  - ### setSumma

    public void setSumma(float value)

  - ### getSumma

    public float getSumma()

  - ### setDateBegin

    public void setDateBegin(Date value)

  - ### getDateBegin

    public Date getDateBegin()

  - ### setDateEnd

    public void setDateEnd(Date value)

  - ### getDateEnd

    public Date getDateEnd()

  - ### setStatus

    public void setStatus(int value)

  - ### getStatus

    public int getStatus()

  - ### setServicePayId

    public void setServicePayId(int servicePayId)

  - ### setServicePayID

    @Deprecated public void setServicePayID(int servicePayId)
    Deprecated.
    Использовать `setServicePayId(int)`
    Parameters:
      `servicePayId` -

  - ### getServicePayId

    public int getServicePayId()

  - ### getServicePayID

    @Deprecated public int getServicePayID()
    Deprecated.
    Использовать `getServicePayId()`.
    Returns:

  - ### setContractId

    public void setContractId(int value)

  - ### setContractID

    @Deprecated public void setContractID(int value)
    Deprecated.
    Использовать `setContractId(int)`.
    Parameters:
      `value` -

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать `getContractId()`.
    Returns:

  - ### setDateActivate

    public void setDateActivate(Date value)

  - ### getDateActivate

    public Date getDateActivate()

  - ### checkPeriod

    public boolean checkPeriod(Date value)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPatternId

    public int getPatternId()

  - ### setPatternId

    public void setPatternId(int value)

  - ### setPaymentType

    public void setPaymentType(int value)

  - ### getPaymentType

    public int getPaymentType()

  - ### getMid

    public int getMid()

  - ### setMid

    public void setMid(int mid)

  - ### getServiceActivateId

    public int getServiceActivateId()

  - ### getServiceActivateID

    @Deprecated public int getServiceActivateID()
    Deprecated.
    Использовать `getServiceActivateId()`.
    Returns:

  - ### setServiceActivateId

    public void setServiceActivateId(int serviceActivateId)

  - ### setServiceActivateID

    @Deprecated public void setServiceActivateID(int serviceActivateId)
    Deprecated.
    Использовать `setServiceActivateId(int)`.
    Parameters:
      `serviceActivateId` -

  - ### getContractName

    public String getContractName(Calendar time)

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public void setDealerId(int dealerId)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getDealerDate

    public Calendar getDealerDate()

  - ### setDealerDate

    public void setDealerDate(Calendar dealerDate)

  - ### getSeriesId

    public int getSeriesId()

  - ### setSeriesId

    public void setSeriesId(int seriesId)